%define ver 0.96
%define rel 18mdk

Summary:	Shooting game on X Window System
Name:		xsoldier
Version:	%{ver}
Release:	%{rel}
Copyright:	GPL
Group:		Games/Arcade
BuildRequires:	XFree86-devel xpm-devel

Source:		http://www.surfline.ne.jp/hachi/xsoldier/xsoldier-0.96.tar.bz2
Source1:	%{name}.bz2
Source2:	%{name}.xpm.bz2
Source3:	%{name}-icons.tar.bz2

Patch0:		xsoldier-securityfix.patch.bz2
Patch1:		xsoldier-0.96-xf4.patch.bz2

URL:		http://www.surfline.ne.jp/hachi/xsoldier.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Great little shoot 'em up game in the style of galaga. Very neat graphics, but
there's no sound support yet.

%prep

%setup -q
%patch0 -p1
%patch1 -p0

%build
xmkmf -a
make CDEBUGFLAGS="${RPM_OPT_FLAGS}" \
       PIXMAPDIR=/usr/lib/games/xsoldier \
        SCOREDIR=/var/lib/games \
       SCOREFILE=xsoldier.scores \
          BINDIR=/usr/games all

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall PIXMAPDIR=${RPM_BUILD_ROOT}/usr/lib/games/xsoldier \
      SCOREDIR=${RPM_BUILD_ROOT}/var/lib/games \
     SCOREFILE=xsoldier.scores \
        BINDIR=${RPM_BUILD_ROOT}/usr/games

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
bzip2 -dc %SOURCE1 > $RPM_BUILD_ROOT/usr/lib/menu/xsoldier
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
bzip2 -dc  %SOURCE2 > $RPM_BUILD_ROOT/usr/share/icons/xsoldier.xpm

bunzip2 -c %{SOURCE3} | tar xvf - -C $RPM_BUILD_ROOT

%post
if [ ! -r /var/lib/games/xsoldier.scores ]; then
   echo -e "\
110000 1 8 chmou
100000 1 8 pixel
90000 1 7 lenny
80000 1 7 dam's
70000 1 6 zuno
60000 1 6 draemon
50000 1 3 hoge
40000 1 5 yoko
30000 1 5 tsuyoshi
20000 1 4 tama" > /var/lib/games/xsoldier.scores
   chown games.games /var/lib/games/xsoldier.scores
   chmod 660 /var/lib/games/xsoldier.scores
fi

%{update_menus}

%postun
%{clean_menus}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CONDITION COPYING ChangeLog.jp README.1st README.joystick README.score
%doc scorefile.txt
%defattr(-,root,root)
%attr(2711, games, games) /usr/games/xsoldier
%{_libdir}/games/xsoldier
%ghost %attr(0660, games, games) /var/lib/games/xsoldier.scores
%{_libdir}/menu/*
%{_datadir}/icons/*

%changelog
* Tue Aug 15 2000 David BAUDENS <baudens@mandrakesoft.com> 0.96-18mdk
- Corrected menu entry

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.96-17mdk
- automatically added BuildRequires

* Sun Jul 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.96-16mdk
- rebuilt for BM
- bzip2 the extra sources to make rpmlint happy

* Mon Jul 10 2000 dam's <damien@mandrakesoft.com> 0.96-15mdk
- mandrake release.

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 0.96-14mdk
- Imake bugfix for XFree86 4.0

* Wed May 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.96-13mdk
- Add security fix from debian.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 0.96-12mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 0.96-11mdk
- Added menu entry.

* Thu Mar 30 2000 dam's <damien@mandrakesoft.com> 0.96-10mdk
- New icons.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.96-9mdk
- Fix pablo sucks (tm) with a defattr.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.96-8mdk
- Fix pablo sucks.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added a default high scores file
- corrected the URLs

* Fri Sep 10 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved the kde menu file to the right place

* Wed Jul 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Adapted to Mandrake my favourite X11 game :)
- Added an icon & menu entries fro Gnome & KDE

* Wed Jan 21 1998 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 4th release
- mv /usr/local/games/lib/xsoldier/.scorefile /var/lib/games/xsoldier/.scorefile
- %doc scorefile.txt

* Sat Dec 06 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 3rd release
- %attr(4711, games, -) /usr/local/games/xsoldier
- %attr(0600, games, -) /usr/local/games/lib/xsoldier/.scorefile

* Fri Dec 05 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 2nd release
- added script for X11R6.3 at the prep stage
- added Distribution and Vendor tags

* Fri Sep 12 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
